%define version 0.1.6
%define release 2mdk

Summary:	Console frontend of gnuchess
Name:		cboard
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Boards
URL:		http://arbornet.org/~bjk/cboard/
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

Source:		%{name}-%{version}.tar.bz2
Patch0:		%{name}-0.1.6-gcc33.patch.bz2

BuildRequires:	ncurses-devel
Requires:	gnuchess

%description
CBoard is a console frontend to GNU Chess, using the ncurses library for
the interface. It can edit PGN tags, annotate moves with NAG, and more.

%prep
%setup -q
%patch0 -p1 -b .gcc33

%build
%configure2_5x --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
%make

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}%{_menudir}
cat << _EOF_ > %{buildroot}%{_menudir}/%{name}
?package(%{name}): \
 command="%{_gamesbindir}/%{name}" \
 icon="boards_section.png" \
 longtitle="Console frontend of GNUchess" \
 needs="text" \
 section="Amusement/Boards" \
 title="CBoard"
_EOF_

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{_mandir}/man?/*
%{_menudir}/%{name}

%changelog
* Mon Nov 03 2003 Abel Cheung <deaddog@deaddog.org> 0.1.6-2mdk
- Move binaries and data files to games dir

* Fri Sep 19 2003 Abel Cheung <maddog@linux.org.hk> 0.1.6-1mdk
- First Mandrake package
- Patch0: Fix compilation with newest gcc
